1
vote
0answers
41 views

How to BuildMyOwnKernel, bumping +1 for revision number version?

I'm facing a hard time with Linux 3.13 from Trusty but, it is another topic (http://www.mail-archive.com/ubuntu-server@lists.ubuntu.com/msg06775.html), so, I decided to backport the Linux 3.16 from ...
3
votes
1answer
264 views

Get my app, having a kernel module, accepted by the review process of the Ubuntu Software Center

I have submitted an app divided in 3 parts: A kernel module A daemon A control panel The first and last parts are free and open source, and packaged in a PPA. The second one is closed source, and ...
2
votes
1answer
719 views

Why is linux-image-extra missing from 3.8.9 onwards?

I've been using kernels from Ubuntu kernel team PPA for some time now. I have setup a script that wget's all the four files required for my setup: all the amd64+all headers, total of 4 files. Kernel ...
18
votes
1answer
12k views

Should I upgrade to the “mainline” kernels?

Newer "mainline" versions of the kernel are available from the Ubuntu kernel team, e.g. 3.4 and 3.5, while Ubuntu 12.04 is on 3.2. What are the mainline kernels? Are they better than my existing ...
2
votes
1answer
702 views

Is it relatively safe to install kernel from “Canonical Kernel Team ppa” than “Mainline”

I already referred most of the questions stating Upgrade from Mainline Builds or Compiling from latest source or PPA and also concluded that it can cause breakage to Current stable installed system. ...
5
votes
3answers
18k views

How do I add the mainline kernel PPA?

How can I add the mainline kernel ppa to the synaptic software sources? I have the url: http://kernel.ubuntu.com/~kernel-ppa/mainline/ but I am missing the ppa: line.
20
votes
1answer
11k views

What is the linux-image-extra package for and do I need it?

Good day everyone. I occasionally update my kernel from this web site http://kernel.ubuntu.com/~kernel-ppa/mainline/ I have been always downloading 3 deb files for installing linux header all, ...
0
votes
1answer
924 views

Can I use kernel 3.2 in Ubuntu 11.04?

My kernel is now 2.6.38-13 in Ubuntu 11.04. If I want to use kernel 3.2 , do I need to compile some drivers(such as hdaps, ATI video card) freshly ? Is there any PPA for kernel 3.2 in Ubuntu 11.04 ...
1
vote
1answer
819 views

“disk drive for /dev/shm is not ready yet” at boot

I am running Ubuntu 11.10 i386 on a laptop. I recently upgraded linux generic kernel to 3.0.0-14 with a PPA (eugensan/boiler): I actually was looking to install just one piece of software ("unison"), ...
1
vote
1answer
374 views

Screen turns gray on boot after install of a PPA

Problem I recently added ppa:eugenesan/ppa to my maverick installation to install smartgit. Right after apt-get listed a bunch of updates that I immediately installed. After rebooting I noticed that ...
5
votes
3answers
1k views

How do I remove Kernel 3.1 that I added via a PPA?

Is there a way to remove kernel 3.1 from Oneiric? I downloaded and upgraded to 3.1 with these instructions: Open the terminal and run these two commands for both 32-bit and 64-bit versions of ...
20
votes
4answers
33k views

How can I install a realtime kernel?

I have read a lot of threads with similar questions, but after reading the answers, I am very confused. I have found in them lots of url's with repositories but people discusses about which ...
15
votes
4answers
14k views

How do I add the kernel PPA?

I can get Ubuntu mainline kernels from this kernel PPA - is there a way to add it to my repository list the same as regular Launchpad PPAs?
4
votes
2answers
2k views

2.6.37 (or 2.6.36) Ubuntu Kernel in Maverick. Is this possible and where can I get it?

Is it possible to get a newer kernel with the ubuntu patches applied (as a deb + related packages - such as headers, since this machine would be best not compiling the kernel for time restraints)? I'd ...
5
votes
1answer
691 views

How can I install a real time kernel?

Is there a repository I can use to install linux-rt for Ubuntu 10.10? This package used to be available from the default repositories but isn't in the 10.10 repositories.